LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XCellRangeAddressable Interface Referencepublished

represents a cell which can be addressed with a com::sun::star::table::CellRangeAddress. More...

`import"XCellRangeAddressable.idl";`

Inheritance diagram for XCellRangeAddressable:

## Public Member Functions
com::sun::star::table::CellRangeAddress | getRangeAddress ()
| returns the address of the cell range in the spreadsheet document. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

represents a cell which can be addressed with a com::sun::star::table::CellRangeAddress.

Developers Guide
  Spreadsheets - Absolute Address

## Member Function Documentation

## ◆ getRangeAddress()

com::sun::star::table::CellRangeAddress getRangeAddress | ( |  | ) |

returns the address of the cell range in the spreadsheet document.

The com::sun::star::table::CellRangeAddress can be used to address the range within its document.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XCellRangeAddressable.idl